Subject: Re: bug#53250: icedove clears data

From: Nicholas von Klitzing <[email-masked]>
Date: Mon, 17 Jan 2022 09:50:55 +0000

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

On Monday, January 17th, 2022 at 9:44 AM, Nicholas von Klitzing <[email-masked]> wrote:

> Hi Maxime,
>
> It seems that this issue is describing the new fix that is needed:
>
> https://gitlab.torproject.org/tpo/applications/tor-browser/-/issues/33734
>
> Only a simple patch would be necessary:
>
> https://gitlab.torproject.org/acat/tor-browser/-/commit/92f480c30178c0847e6866a4115a9393f1d49a28
>
> Kind regards,
>
> Nicholas
>
> ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
>
> On Friday, January 14th, 2022 at 2:52 PM, Maxime Devos [email-masked] wrote:
>
> > Nicholas von Klitzing via Bug reports for GNU Guix schreef op vr 14-01-
> >
> > 2022 om 12:02 [+0000]:
> >
> > > A brief follow up:
> > >
> > > It seems the ~/.icedove folder is not used by icedove (it was probably a relic of when I used icedove-wayland).
> > >
> > > Now looking into ~./thunderbird instead I see several more profiles.
> > >
> > >     nicholas@guix14 ~/.thunderbird$ ls
> > >     bv7r86h9.default/            installs.ini               profiles.ini
> > >     gdmykixq.default-default-1/  k6sjw3jm.default-default/
> > >     nicholas@guix14 ~/.thunderbird$ cat profiles.ini
> > >     [Profile2]
> > >     [...]
> > >     [Profile1]
> > >     [...]
> > >     [Profile0]
> > >     [...]
> > >     [Install281FC43567D8867D]
> > >     [General]
> > >     [...]
> > >     [Install3F4F07DFB18472B1]
> > >     [...]
> > >
> > >
> > > Launching icedove with `icedove -p` and then iterating through the 3 listed profiles all leads to a blank profile, except for default-default. The default-default profile contains all of my mail account and settings.
> > >
> > > I now set default-default to be my main profile (resolving my issue) but I doubt this is what users expect the software to do.
> > >
> > > Is it possible that icedove creates a new profile on upgrades and sets it as default? I definitely did not manually create 3 profiles.
> >
> > Maybe take a look at the following code in 'icedove':
> >
> > ;; Fixes issue where each installation directory generates its
> >
> > own profile.
> >
> > ;; See e.g.
> >
> > https://trac.torproject.org/projects/tor/ticket/31457
> >
> > (add-after 'patch-source-shebangs 'fix-profile-setting
> >
> > (lambda _
> >
> > (substitute* "comm/mail/moz.configure"
> >
> > (("MOZ_DEDICATED_PROFILES, True")
> >
> > "MOZ_DEDICATED_PROFILES, False"))
> >
> > #t))
> >
> > Seems like this was fixed at some point but the fix broke?
> >
> > Greetings,
> >
> > Maxime.

From 300eb9cc705f4529672f900bd107ba1dc7b69ad5 Mon Sep 17 00:00:00 2001
From: Nicholas von Klitzing <[email-masked]>
Date: Mon, 17 Jan 2022 10:46:36 +0100
Subject: [PATCH] gnu: icedove: stop per-install profile generation.

* gnu/packages/gnuzilla.scm (): New variable.
---
 gnu/packages/gnuzilla.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gnuzilla.scm b/gnu/packages/gnuzilla.scm
index 27a9d099ce..bc7f32131b 100644
--- a/gnu/packages/gnuzilla.scm
+++ b/gnu/packages/gnuzilla.scm
@@ -1371,8 +1371,8 @@ (define-public icedove
          (add-after 'patch-source-shebangs 'fix-profile-setting
            (lambda _
              (substitute* "comm/mail/moz.configure"
-               (("MOZ_DEDICATED_PROFILES, True")
-                "MOZ_DEDICATED_PROFILES, False"))
+               (("MOZ_NORMANDY, True")
+                "MOZ_NORMANDY, False"))
              #t))
          (add-after 'prepare-thunderbird-sources 'rename-to-icedove
            (lambda _
-- 
2.34.0